%define	major 0
%define libname	%mklibname relp %{major}
%define develname %mklibname relp -d

Summary:	Reliable Event Logging Protocol (RELP) library
Name:		librelp
Version:	1.2.7
%define subrel 1
Release:	%mkrel 3
License:	GPLv3+
Group:		System/Libraries
URL:		http://www.librelp.com/
Source0:	http://download.rsyslog.com/librelp/%{name}-%{version}.tar.gz
Patch0: 	librelp-1.2.7-CVE-2018-1000140.patch

BuildRequires:	pkgconfig(gnutls)

%description
librelp is an easy to use library for the RELP protocol. RELP in turn provides
reliable event logging over the network (and consequently RELP stands for
Reliable Event Logging Protocol). RELP was initiated by Rainer Gerhards after
he was finally upset by the lossy nature of plain tcp syslog and wanted a cure
for all these dangling issues.

%package -n	%{libname}
Summary:	Reliable Event Logging Protocol (RELP) library
Group:		System/Libraries

%description -n	%{libname}
librelp is an easy to use library for the RELP protocol. RELP in turn provides
reliable event logging over the network (and consequently RELP stands for
Reliable Event Logging Protocol). RELP was initiated by Rainer Gerhards after
he was finally upset by the lossy nature of plain tcp syslog and wanted a cure
for all these dangling issues.

%package -n	%{develname}
Summary:	Development files for the %{libname} library
Group:		Development/C
Requires:	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	relp-devel = %{version}-%{release}

%description -n	%{develname}
Development files for the %{libname} library.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x \
	--disable-static \
	--disable-rpath

%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%doc ChangeLog doc/*.html
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Apr 22 2018 mrambo3501 <mrambo3501> 1.2.7-3.1.mga5
  (not released yet)
+ Revision: 1220854
- rediff upstream patch which fixes CVE-2018-100014 (mga#22822)

* Wed Oct 15 2014 umeabot <umeabot> 1.2.7-3.mga5
+ Revision: 749390
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.7-2.mga5
+ Revision: 681753
- Mageia 5 Mass Rebuild

* Sat May 17 2014 sander85 <sander85> 1.2.7-1.mga5
+ Revision: 623391
- New version: 1.2.7

* Sat Oct 19 2013 umeabot <umeabot> 1.2.0-2.mga4
+ Revision: 530599
- Mageia 4 Mass Rebuild

* Fri Jul 26 2013 sander85 <sander85> 1.2.0-1.mga4
+ Revision: 458426
- New version: 1.2.0

* Sat Jan 12 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 358095
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 03 2012 fwang <fwang> 1.0.0-1.mga2
+ Revision: 189895
- new version 1.0.0

* Fri Jan 14 2011 ahmad <ahmad> 0.1.3-4.mga1
+ Revision: 17830
- drop old/unneeded scriptlets
- imported package librelp


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-3mdv2011.0
+ Revision: 602602
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-2mdv2010.1
+ Revision: 520900
- rebuilt for 2010.1

* Wed Sep 23 2009 Emmanuel Andry <eandry@mandriva.org> 0.1.3-1mdv2010.0
+ Revision: 447886
- New version 0.1.3
- check major

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.1.1-3mdv2010.0
+ Revision: 429829
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.1.1-2mdv2009.0
+ Revision: 267990
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat May 03 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-1mdv2009.0
+ Revision: 200681
- import librelp


* Sat May 03 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-1mdv2009.0
- initial Mandriva package
